Subject: another "$" vs "-" issue

From: Rajesh Kumar <[email-masked]>
Date: Tue, 10 Oct 2000 18:28:12 -0700

Michael,
Yes, "$" is a wildcard for the virtual connection ID. When the MGC sets it to
"$" it is asing the MG to pick a virtual connection ID. This could be done
immediately for VCs and CIDs that have been set up, or following SVC set-up.
Depending on the application, the MG might or might not need to return this
value. In the case of an existing (S)PVC assigned to a call, this value is
returned by the MG and forwarded ot the far-end via SDP. In the case of an SVC
assigned to the call, there is no need to return the virtual connection ID
value, since the eecid attribute is used to rendezvous the call. 

The bottom line is: when wildcarding the virtual connection ID, the MGC can
mean one of two things:
- Choose, and let me know.
- Choose, and I don't need to know.

Theoretically, we might want to set the virtual connection ID to "$" in the
first case and to "-" in the second. However, I do not think we need to make
this fine distinction, since this is implicit in the bearertype attribute. In
other words, yes, we can allow "-" or a "$" for virtual connection ID
wildcarding from a purist's perspective, but I do not see a real need for it.

What does the group think?

Thanks,

Rajesh  
At 12:34 PM 10/5/00 -0400, you wrote: 
>
> Hi Rajesh ...
>     I'm sorry but I think I've taken my eye off the ball for a little while
> ... For H.323 AnnexC I thought the format of the
> Descriptor was something like 
>  
>     v=0
>     c=ATM NSAP 31.3233.34.353637.3839.3031.3233.343536373839.30
>     m=audio $ AAL5/AVP 15 
>     a=capability: cbr - 
>     a=bearertype: SVC on
>     m=control 401
>     c=IN IP4 110.101.116.11
> But when I read through your latest doument you seem to have changed it to 
>  
>     v=0
>     c=ATM NSAP 31.3233.34.353637.3839.3031.3233.343536373839.30
>     m=audio $ RTP/AVP 15 
>     a=capability: cbr - 
>     a=aalApp:itu_h323c
>     a=bearertype: SVC on
>     m=control 401
>     c=IN IP4 110.101.116.11
> Where $ represents the VCCI .... Is this correct ? .... Might there be a case
> here for allowing the vcci to be not set '-' as it (from my understanding)
> has relavence only once the SVC is set up ...
>  
> Michael Mackey,
> Marconi Communications,
> Tel: +353 1 6638407
> - <http://www.marconi.com/>www.marconi.com -

- Rajesh Kumar
        
-------------------------------------------------------
Rajesh Kumar                             :         :
Carrier Packet Voice                    .|.       .|.
Cisco Systems                         .:|||:.   .:|||:.
San Jose, California               ..:|||||||:.:|||||||:..
408 527 0811                       C i s c o S y s t e m s
[email-masked]  
-------------------------------------------------------